Bug 159201 - CSS3 Selectors test failed
Summary: CSS3 Selectors test failed
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-12 19:35 UTC by Michał Kudła
Modified: 2008-04-04 20:25 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Kudła 2008-03-12 19:35:33 UTC
Version:           3.5.9 (using 3.5.9, Gentoo)
Compiler:          Target: i686-pc-linux-gnu
OS:                Linux (i686) release 2.6.23-gentoo-r2

On page
http://disruptive-innovations.com/zoo/css3tests/selectorTest.html#target
we have 2 errors:
1) negative pseudo-class accepts only simple se ectors argument
2) ch Idhood and element type selectors
Comment 1 Germain Garand 2008-03-25 21:16:58 UTC
SVN commit 790074 by ggarand:

empty value should not match empty class list

CCBUG: 159201


 M  +1 -1      cssstyleselector.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=790074
Comment 2 Germain Garand 2008-03-26 00:45:18 UTC
SVN commit 790155 by ggarand:

automatically merged revision 790074:
empty value should not match empty class list

CCBUG: 159201

 M  +1 -1      cssstyleselector.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=790155
Comment 3 Germain Garand 2008-04-04 20:25:57 UTC
SVN commit 793659 by ggarand:

fix parsing of the argument of the functional :not() selector
to obey CSS3's definition of a simple selector.

KHTML now fully passes Daniel Glazman's selector test!

http://disruptive-innovations.com/zoo/css3tests/selectorTest.html#target

BUG: 159201


 M  +442 -389  parser.cpp  
 M  +32 -2     parser.y  


WebSVN link: http://websvn.kde.org/?view=rev&revision=793659